> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Update Own Basic Information > Update your account information using this endpoint. * To change your email or password, you must confirm it using TOTP. If you don't have 2FA enabled in your account (token code or email), TOTP will require the current password method. Note that if 2FA is not enabled in the workspace, the 2FA headers are not required. * If you add the `currentPassword` encrypted in SHA256 to the request body, the request won't require TOTP again. ### Changelog | Version | Description | | ---------------- | ------------| |6.4.0 | Add `bio` and `statusType` parameters. | |0.62.2 | Added | ## OpenAPI ````json POST /api/v1/users.updateOwnBasicInfo { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.updateOwnBasicInfo": { "post": { "tags": [ "Users" ], "summary": "Update Own Basic Information", "description": "Update your account information using this endpoint.\n* To change your email or password, you must confirm it using TOTP. If you don't have 2FA enabled in your account (token code or email), TOTP will require the current password method. Note that if 2FA is not enabled in the workspace, the 2FA headers are not required.\n* If you add the `currentPassword` encrypted in SHA256 to the request body, the request won't require TOTP again.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|6.4.0 | Add `bio` and `statusType` parameters. |\n|0.62.2 | Added |", "operationId": "post-api-v1-users.updateOwnBasicInfo", "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/x-2fa-code" }, { "$ref": "#/components/parameters/x-2fa-method" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "x-examples": { "Example 1": { "data": { "email": "test@test.com", "newPassword": "testbb", "currentPassword": "aa856615052ee58e557a2945d53bc90a228915e7d7687ea250f3b4b1581d6e53", "nickname": "baby girl", "bio": "Auspicious baby", "username": "roxie", "name": "test test", "statusType": "offline", "statusText": "On a vacation" }, "customFields": {} } }, "properties": { "data": { "type": "object", "description": "An object of user data to be updated with the following parameters. If you enter an empty string, the user details are returned.", "properties": { "email": { "type": "string", "example": "example@example.com", "description": "Email ID of the user." }, "newPassword": { "type": "string", "example": "passw0rd", "description": "The new password of the user." }, "currentPassword": { "type": "string", "description": "The password for the user encrypted in SHA256.", "example": "5994471abb01112afcc18159f6cc74b4f511b99806da59b3caf5a9c173cacfc5" }, "nickname": { "type": "string", "example": "cake", "description": "The nickname of the user." }, "bio": { "type": "string", "example": "Engineer", "description": "The bio of the user." }, "username": { "type": "string", "example": "example", "description": "The username of the user." }, "name": { "type": "string", "example": "Example User", "description": "Name of the user." }, "statusType": { "type": "string", "example": "offline", "description": "The status type of the user. It can be `online`, `busy`, `away`, or `offline`." }, "statusText": { "type": "string", "example": "On a vacation", "description": "The status text of the user." } } }, "customFields": { "type": "object", "description": "Any custom fields the user should have on their account. You must define the custom fields in the workspace settings." } }, "required": [ "data" ] } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "user": { "type": "object", "properties": { "_id": { "type": "string" }, "createdAt": { "type": "string" }, "services": { "type": "object", "properties": { "password": { "type": "object", "properties": { "bcrypt": { "type": "string" } } }, "email2fa": { "type": "object", "properties": { "enabled": { "type": "boolean" }, "changedAt": { "type": "string" } } }, "resume": { "type": "object", "properties": { "loginTokens": { "type": "array", "items": { "type": "object", "properties": { "when": { "type": "string" }, "hashedToken": { "type": "string" }, "twoFactorAuthorizedHash": { "type": "string" }, "twoFactorAuthorizedUntil": { "type": "string" } } } } } }, "email": { "type": "object", "properties": { "verificationTokens": { "type": "array", "items": { "type": "object", "properties": { "token": { "type": "string" }, "address": { "type": "string" }, "when": { "type": "string" } } } } } }, "totp": { "type": "object", "properties": { "enabled": { "type": "boolean" } } }, "passwordHistory": { "type": "array", "items": { "type": "string" } } } }, "username": { "type": "string" }, "emails": { "type": "array", "items": { "type": "object", "properties": { "address": { "type": "string" }, "verified": { "type": "boolean" } } } }, "type": { "type": "string" }, "status": { "type": "string" }, "active": { "type": "boolean" }, "_updatedAt": { "type": "string" }, "__rooms": { "type": "array", "items": { "type": "string" } }, "roles": { "type": "array", "items": { "type": "string" } }, "name": { "type": "string" }, "settings": { "type": "object", "properties": { "preferences": { "type": "object", "properties": { "themeAppearence": { "type": "string" } } }, "profile": { "type": "object", "properties": {} } } }, "lastLogin": { "type": "string" }, "statusConnection": { "type": "string" }, "utcOffset": { "type": "integer" }, "banners": { "type": "object", "properties": { "versionUpdate-6_0_0": { "type": "object", "properties": { "id": { "type": "string" }, "priority": { "type": "integer" }, "title": { "type": "string" }, "text": { "type": "string" }, "textArguments": { "type": "array", "items": { "type": "string" } }, "link": { "type": "string" }, "modifiers": { "type": "array", "items": { "type": "object", "properties": {} } }, "read": { "type": "boolean" } } }, "versionUpdate-6_2_8": { "type": "object", "properties": { "id": { "type": "string" }, "priority": { "type": "integer" }, "title": { "type": "string" }, "text": { "type": "string" }, "textArguments": { "type": "array", "items": { "type": "string" } }, "link": { "type": "string" }, "modifiers": { "type": "array", "items": { "type": "object", "properties": {} } } } } } }, "statusDefault": { "type": "string" }, "statusText": { "type": "string" }, "operator": { "type": "boolean" }, "livechatStatusSystemModified": { "type": "boolean" }, "statusLivechat": { "type": "string" }, "livechatCount": { "type": "integer" }, "livechat": { "type": "object", "properties": { "maxNumberSimultaneousChat": { "type": "string" } } }, "bio": { "type": "string" }, "nickname": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "user": { "_id": "rbAXPnMktTFbNpwtJ", "createdAt": "2023-02-20T13:42:07.119Z", "services": { "password": { "bcrypt": "$2b$10$E9ppW3T2itbMEcDvOdWBR.NXiW3YbifRHwBhjVkt26r1XS8yNhh6u" }, "email2fa": { "enabled": true, "changedAt": "2023-02-20T13:42:07.118Z" }, "resume": { "loginTokens": [ { "when": "2023-09-16T09:27:10.959Z", "hashedToken": "A1jmsVCHHH2SkXHrEJDfumN+VtUP3tcuJ/OGseGrRbA=", "twoFactorAuthorizedHash": "3067196228a830eacd6181a6977fe86a", "twoFactorAuthorizedUntil": "2023-09-19T16:40:58.767Z" }, { "when": "2023-09-18T10:37:58.218Z", "hashedToken": "RLdxvu9dDnk6QRwFdaK3my1AoPeGaR5lTkK+zEhTuPk=" }, { "when": "2023-09-18T10:41:25.814Z", "hashedToken": "zWZ8wW9PNlVuI2Q65vK/9vytaONk1BXxaWcNld4qvEc=" } ] }, "email": { "verificationTokens": [ { "token": "lHq_4L8Orgxu2p5NhfVb0V9kA7kO1VaBXA5GmaJiuX3", "address": "test@test.com", "when": "2023-05-23T18:47:07.142Z" } ] }, "totp": { "enabled": false }, "passwordHistory": [ "$2b$10$n1.FV8S2mxz7GzXA392V5OaDa5X0WR1DQ4eGGFKI/wpdhS9sVIC6S", "$2b$10$4I68O5mlR.C8dRhtZ4Mj6us6EMwRHNIUqEWQe/nOhISs4e8RtOliW", "$2b$10$AU9Ncfd8bO5TpE.5iLMjyujdd6RVJaoeKckVqo3MMO9Ngc3oyMAs2" ] }, "username": "roxie", "emails": [ { "address": "test@test.com", "verified": true } ], "type": "user", "status": "offline", "active": true, "_updatedAt": "2023-09-19T16:10:58.873Z", "__rooms": [ "GENERAL", "siyr2oWQJBjQjhLwr", "6GFJ3tbmHiyHbahmC", "64f0f82c2c26843a68c1f7ba" ], "roles": [ "user", "admin", "livechat-agent", "livechat-manager" ], "name": "test test", "settings": { "preferences": { "themeAppearence": "light" }, "profile": {} }, "lastLogin": "2023-09-19T16:00:19.657Z", "statusConnection": "away", "utcOffset": 1, "banners": { "versionUpdate-6_0_0": { "id": "versionUpdate-6_0_0", "priority": 10, "title": "Update_your_RocketChat", "text": "New_version_available_(s)", "textArguments": [ "6.0.0" ], "link": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.0.0", "modifiers": [], "read": true }, "versionUpdate-6_2_8": { "id": "versionUpdate-6_2_8", "priority": 10, "title": "Update_your_RocketChat", "text": "New_version_available_(s)", "textArguments": [ "6.2.8" ], "link": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.2.8", "modifiers": [] } }, "statusDefault": "offline", "statusText": "On a vacation", "operator": true, "livechatStatusSystemModified": false, "statusLivechat": "available", "livechatCount": 8, "livechat": { "maxNumberSimultaneousChat": "" }, "bio": "Engineer", "nickname": "" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'data' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "x-2fa-code": { "name": "x-2fa-code", "in": "header", "description": "Enter the 2FA code. This parameter is required if 2FA is enabled in your workspace. See the Introduction to Two-Factor Authentication document for details.", "schema": { "type": "string" }, "example": "148750" }, "x-2fa-method": { "name": "x-2fa-method", "in": "header", "schema": { "type": "string" }, "description": "Enter the method with which you get the 2FA code. It can be `email`, `totp`, or `password`. This parameter is required if 2FA is enabled in your workspace." } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````